Subject: [Tools-discuss] dublincore date, identifier, and relationship metadata for drafts and RFCs in HTML <meta> tags

From: Daniel Kahn Gillmor <[email-masked]>
Date: Tue, 11 Dec 2018 15:54:28 -0500

I've been looking at the generated metadata tags in the HTML variants of
RFCs and drafts, as you can tell by my recent on-list reports.

One thing i have noticed about the metadata in the drafts is that the
DC.Identifier and DC.Date.Issued all seem to be related to the *most
recent* version of any given draft, even on the older versions.

Picking RFC 6188 at random as an example to compare (the "Header" column
means "what a human would read if they were looking at the .txt version
in the upper right-hand corner"):

draft name                    | DC.Identifier                   | DC.Date.Issued | Header
------------------------------+---------------------------------+----------------+-----------------
draft-mcgrew-srtp-big-aes-00  | urn:ietf:id:mcgrew-srtp-big-aes | 2009-03-05     | April 26, 2006
draft-mcgrew-srtp-big-aes-01  | urn:ietf:id:mcgrew-srtp-big-aes | 2009-03-05     | March 5, 2009
draft-ietf-avt-srtp-big-aes-00| urn:ietf:rfc:6188               | March, 2011    | August 24, 2006
draft-ietf-avt-srtp-big-aes-01| urn:ietf:rfc:6188               | March, 2011    | July 6, 2009
   [...]
rfc6188                       | urn:ietf:rfc:6188               | March, 2011    | March 2011

I'm a bit confused by this.  Shouldn't DC.Date.Issued match the date of
the specific draft, not of its ultimate RFC (if it was published)?  In
this case, we're talking about a difference of 5 years.

Also, shouldn't the DC.Identifier of a draft be the draft name (without
version suffix), instead of the ultimate RFC (if it was published as
such)?

Finally, while DC.Relation.Replaces appears to point from RFC 6188 to
draft-mcgrew-srtp-big-aes, shouldn't it point to
draft-ietf-avt-srtp-big-aes instead, while draft-ietf-avt-srt-big-aes
points to draft-mcgrew-srtp-big-aes ?

I also note that some RFCs don't mention their previous draft names at
all in the DC.Relation.Replaces metadata field.  Concretely, RFC 8446
doesn't mention draft-ietf-tls-tls13 at all there.  Is this intentional?
Is there some documentation about how i should interpret this metadata?

   --dkg